Package com.documentum.operations

# Interface IDfMoveOperation

All Superinterfaces:
  `IDfOperation`

public interface IDfMoveOperation extends IDfOperation
IDfMoveOperation performs a move of one or more nodes from one source folder to a destination folder. Performs a link to the target folder and an unlink from the source folder. IDfSysObject, IDfFolder, IDfVirtualDocumentNode, and IDfVirtualDocument objects may be added to a move operation. Folder and virtual document objects will also have their sub-structure moved to the destination folder. Note that checked out objects cannot be moved. An error is returned for checked out objects.

- ## Field Summary

  ### Fields inherited from interface com.documentum.operations.IDfOperation

  `GENERATE_RESOURCE_FORK, IGNORE_RESOURCE_FORK, REQUIRE_RESOURCE_FORK, RESOURCE_FORK_UNDEFINED, USE_RESOURCE_FORK_IF_AVAILABLE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IDfId`
  `getDestinationFolderId()`
  Returns the docbase object Id of the destination folder for the move operation.
  `IDfList`
  `getObjects()`
  Returns the list of unique objects in this operation.
  `IDfId`
  `getSourceFolderId()`
  Gets the source folder id for the move operation.
  `void`
  `setDestinationFolderId(IDfId folderId)`
  Sets the docbase object Id for the destination folder for the move operation.
  `void`
  `setSourceFolderId(IDfId sourceFolderId)`
  Sets the source folder id for the move operation.

  ### Methods inherited from interface com.documentum.operations.IDfOperation

  `abort, add, areDisabledRegistryUpdates, canUndo, disableRegistryUpdates, enablePopulateWithReferences, execute, getContext, getDescription, getErrors, getName, getNodes, getOperationMonitor, getOperationType, getProperties, getRootNodes, getSession, getSteps, isAborted, isEnabledPopulateWithReferences, logError, removeNode, reportError, resetErrors, setOperationMonitor, setSession, succeeded`

- ## Method Details

  - ### getDestinationFolderId

    IDfId getDestinationFolderId() throws DfException
    Returns the docbase object Id of the destination folder for the move operation. This is the folder where, by default, objects will be moved. The destination folder has to be specified before the move operation.
    Returns:
      docbase Id of the default destination folder for the operation.
    Throws:
      `DfException`
    See Also:
      - `IDfFolder`

  - ### setDestinationFolderId

    void setDestinationFolderId(IDfId folderId) throws DfException
    Sets the docbase object Id for the destination folder for the move operation. This is the folder where, by default, new objects will be created. The destination location must be specified before the move operation is executed
    Parameters:
      `folderId` - - IDfId destination docbase folder / cabinet Id.
    Throws:
      `DfException`
    See Also:
      - `IDfFolder`

  - ### getSourceFolderId

    IDfId getSourceFolderId() throws DfException
    Gets the source folder id for the move operation. The source folder location may be overridden for individual nodes using DfMoveNode.getSourceFolderId(). The source folder has to be specified before the move operation is executed.
    Returns:
      docbase Id of the source folder for this operation
    Throws:
      `DfException`
    See Also:
      - `IDfFolder`

  - ### setSourceFolderId

    void setSourceFolderId(IDfId sourceFolderId) throws DfException
    Sets the source folder id for the move operation. The source folder location may be overridden for individual nodes using DfMoveNode.setSourceFolderId(). The source folder has to be specified before the move operation is executed.
    Parameters:
      `sourceFolderId` - the source folder id
    Throws:
      `DfException`
    See Also:
      - `IDfFolder`

  - ### getObjects

    IDfList getObjects() throws DfException
    Returns the list of unique objects in this operation. Each entry in the list is an IDfSysObject.
    Returns:
      returns the list of unique objects in this operation
    Throws:
      `DfException`
    See Also:
      - `IDfSysObject`